Subject: 24.3; octave-insert-defun bad indentation since using smie

From: Leo Liu <[email-masked]>
Date: Wed, 17 Apr 2013 09:55:39 +0800

C-c C-f in octave-mode of emacs 22.1 normally inserts something like
this:

function B = hasWon (X, z, z0)

  ## usage:  B = hasWon (X, z, z0)                                              
  ##                                                                            
  ##                                                                            

endfunction

Now it inserts:

function B = hasWon (X, z, z0)
	 
	 ## usage: B = hasWon (X, z, z0)
	 ## 
	 ## 
	 
endfunction

i.e. it has wrong initial indentation. This might be a flaw of smie.

Leo